//
//  LocXViewController.h
//  LocX
//
//  Created by Michael Heyeck on 8/23/09.
//  Copyright Fair Oaks Labs, Inc. 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>


@interface LocXViewController : UIViewController <CLLocationManagerDelegate>
{
	CLLocationManager*	manager;
	NSDateFormatter*	formatter;
	
	UISwitch*			offSwitch;
	
	UILabel*			latitude;
	UILabel*			longitude;
	UILabel*			h_accuracy;

	UILabel*			altitude;
	UILabel*			v_accuracy;

	UILabel*			course;
	UILabel*			speed;

	UILabel*			updated;
	UILabel*			updated_suffix;
}

@property (nonatomic, retain) IBOutlet UISwitch* offSwitch;
@property (nonatomic, retain) IBOutlet UILabel* latitude;
@property (nonatomic, retain) IBOutlet UILabel* longitude;
@property (nonatomic, retain) IBOutlet UILabel* h_accuracy;
@property (nonatomic, retain) IBOutlet UILabel* altitude;
@property (nonatomic, retain) IBOutlet UILabel* v_accuracy;
@property (nonatomic, retain) IBOutlet UILabel* course;
@property (nonatomic, retain) IBOutlet UILabel* speed;
@property (nonatomic, retain) IBOutlet UILabel* updated;
@property (nonatomic, retain) IBOutlet UILabel* updated_suffix;

- (IBAction)switchUpdates:(id)sender;

@end
